function onTalk()
	disableMovement()
	disableRetry()
	makeUnskippable()
	if getFlag("gotEarthblade") then
		walkTo(948)
		player.Facing = getEnum("Celeste.Facings", "Right")
		wait(0.3)
		say("CC_Earthblade_Nevoa5")
	else
		if not getFlag("NevoaTalked") then
			-- zoom to a point x, y, amount, duration
			--coroutine.yield(engine.Scene:ZoomTo(vector2(160, 80), 1.15, 0.6))
			walkTo(948)
			player.Facing = getEnum("Celeste.Facings", "Right")
			wait(0.3)
			say("CC_Earthblade_Nevoa1")
			local choice1
			
			::firstPrompt::
			
			if getFlag("NevoaLookedAfter") then
				choice1 = choice("CC_Earthblade_NevoaPrompt1B", "CC_Earthblade_NevoaPrompt1C")
			else
				choice1 = choice("CC_Earthblade_NevoaPrompt1B", "CC_Earthblade_NevoaPrompt1C","CC_Earthblade_NevoaPrompt1A")
			end
			if choice1 == 1 then
				say("CC_Earthblade_NevoaAnswer1B")
			elseif choice1 == 2 then
				say("CC_Earthblade_NevoaAnswer1C")
			else
				say("CC_Earthblade_NevoaAnswer1A")
				setFlag("NevoaLookedAfter",true)
				goto firstPrompt
			end
			say("CC_Earthblade_Nevoa2")
			local choice2 = choice("CC_Earthblade_NevoaPrompt2A","CC_Earthblade_NevoaPrompt2B","CC_Earthblade_NevoaPrompt2C")
			if choice2 == 1 then
				say("CC_Earthblade_NevoaAnswer2A")
			elseif choice2 == 2 then
				say("CC_Earthblade_NevoaAnswer2B")
			else
				say("CC_Earthblade_NevoaAnswer2C")
			end
			setMusicProgression(1)
			say("CC_Earthblade_Nevoa3")
		else
			say("CC_Earthblade_Nevoa4")
		end
	end
	enableMovement()
	enableRetry()
end

function onEnd()
	setFlag("NevoaTalked",true)
	enableMovement()
	enableRetry()
end